Bug 34013 - Неучтенные зависимости (unmet dependencies)
: Неучтенные зависимости (unmet dependencies)
Status: CLOSED NOTABUG
: Sisyphus
(All bugs in Sisyphus/hedgewars)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2017-10-16 11:20 by
Modified: 2017-11-11 06:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2017-10-16 11:20:17
Был в гостях, возникла задача найти развлечение ребенку. Вместо этого нашел
развлечение себе:

root@gamez:~ # apt-get install hedgewars
Reading Package Lists... Done
Building Dependency Tree... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.

Since you only requested a single operation it is extremely likely that
the package is simply not installable and a bug report against
that package should be filed.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
  hedgewars: Depends: libavcodec.so.57()(64bit) (>=
set:lhV6m8AVs7ZD6nhMtDZhJ4XlENdTJ5)      
             Depends: libavcodec.so.57(LIBAVCODEC_57)(64bit)
             Depends: libavformat.so.57()(64bit) (>=
set:lhQETl7ql7An0lGkZyUp2eJnUASxj8wCdykkUIx)
             Depends: libavformat.so.57(LIBAVFORMAT_57)(64bit)
E: Broken packages

root@gamez:~ # apf find libavcodec.so.57 libavformat.so.57
libavcodec57
------- Comment #1 From 2017-10-16 11:56:58 -------
(In reply to comment #0)
> root@gamez:~ # apt-get install hedgewars
> The following packages have unmet dependencies:
>   hedgewars: Depends: libavcodec.so.57()(64bit) (>=
> set:lhV6m8AVs7ZD6nhMtDZhJ4XlENdTJ5)      
>              Depends: libavcodec.so.57(LIBAVCODEC_57)(64bit)
>              Depends: libavformat.so.57()(64bit) (>=
> set:lhQETl7ql7An0lGkZyUp2eJnUASxj8wCdykkUIx)
>              Depends: libavformat.so.57(LIBAVFORMAT_57)(64bit)
> E: Broken packages

А теперь apt-get install hedgewars -oDebug::pkgMarkInstall=1
-oDebug::pkgProblemResolver=1 apt-у , пожалуйста.
------- Comment #2 From 2017-10-16 12:29:18 -------
Ты или noarch забыл подключить или ещё что-то нахреначил.

hedgewars прекрасно устанавливается на текущем Sisyphus.

dist-upgrade делал ?
------- Comment #3 From 2017-10-17 08:10:59 -------
Какое-то время назад в Сизиф собрали ffmpeg, в связи с чем я пересобирал
hedgewars с библиотеками от ffmpeg, вместо libav. Возможно на той системе, где
вы пытались установить hedgewars, всё ещё стоят библиотеки от libav вместо
ffmpeg.
------- Comment #4 From 2017-10-28 06:35:11 -------
(В ответ на комментарий №0)
> Был в гостях, возникла задача найти развлечение ребенку. Вместо этого нашел
> развлечение себе:

Ну так что, удалось разобраться, чего у вас там не хватает? Могу я закрыть
багу?
------- Comment #5 From 2017-11-11 06:45:00 -------
Ответа на вопрос нет. Закрываю.